Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.server
Class StructureFetcherRunnable

    java.lang.Object
      org.biojava.bio.structure.server.StructureFetcherRunnable

All Implemented Interfaces:
  Runnable

    public class StructureFetcherRunnable

extends Object
implements Runnable

a Runnable class that talks to a PDBInstallation and requests a new protein structure. Once the structure has been loaded, the StructureListeners are notified of the new structure.

Author:
  Andreas Prlic

Constructor Summary
`StructureFetcherRunnable(PDBInstallation installation)`

Method Summary
`void` | `addStructureListener(StructureListener listener)`
`void` | `clearListeners()`
`List<StructureListener>` | `getStructureListeners()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureFetcherRunnable

    public StructureFetcherRunnable(PDBInstallation installation)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### getStructureListeners

    public List<StructureListener> getStructureListeners()

### addStructureListener

    public void addStructureListener(StructureListener listener)

### clearListeners

    public void clearListeners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD